# xterm.js: xterm, in the browser

ZMODEM detected: Start ZMODEM session? Yes No

ZMODEM File offered!

Accept Skip
Name:
Size:
Last modified:
Mode:
Conversion:
Management:
Transport:
Sparse?
Files remaining in batch:
Bytes remaining in batch:
% ( bytes) received
Choose file(s):

## Actions

Find next Find previous

## Options

cursorBlink

Accept all ZMODEM prompts*

cursorStyle

bellStyle

scrollback

tabStopWidth

### Size

Columns
Rows

Attention: The demo is a barebones implementation and is designed for xterm.js evaluation purposes only. Exposing the demo to the public as is would introduce security risks for the host.

* ZMODEM file transfers are supported via an addon. To try it out, install `lrzsz` onto the remote peer, then run `rz` to send from your browser or `sz <file>` to send from the remote peer.